/*
 *
 * Copyright 2020, The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* Generated by generate_translations.py - DO NOT EDIT */

#include "string.h"
#include <localization/ConfirmationUITranslations.h>

#include <stdio.h>

#define ASSERT_STR(str1, str2) \
    do { \
        if (strcmp(str1, str2) != 0) { \
            printf("%s:%d: Assertion failed: '%s' != '%s'\n", \
                    __FILE__, __LINE__, str1, str2); \
            return 1; \
        } \
    } while (0)

extern int ConfirmationUITranslations_lang_id_match(const char** lang_ids,
                                                    const char* lang_id);

static const char* test_lang_id_match(const char* lang_ids[], const char* lang_id) {
    int ret = ConfirmationUITranslations_lang_id_match(lang_ids, lang_id);
    if (ret < 0) {
        return "";
    }
    return lang_ids[ret];
}

int main() {
    /* Tests for untranslated languages */
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for languages without translation */
    ConfirmationUITranslations_select_lang_id("nosuch-LA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for untranslated language (en) */
    ConfirmationUITranslations_select_lang_id("en");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language af */
    ConfirmationUITranslations_select_lang_id("af");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dubbeldruk aan/af-skakelaar om te bevestig");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Kanselleer");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Hierdie bevestiging verskaf 'n ekstra laag sekuriteit vir die handeling wat jy op die punt is om uit te voer.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Druk aan/af-skakelaar om te bevestig");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Druk enige volumeknoppie om te kanselleer");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Kanselleer");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android se Beskermde Bevestiging");

    /* Tests for language am */
    ConfirmationUITranslations_select_lang_id("am");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "ለማረጋገጥ ኃይልን ሁለቴ ይጫኑ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ይቅር");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ይህ ማረጋገጫ እርስዎ ለሚወስዱት እርምጃ ተጨማሪ ትርፍ ጥበቃን ይሰጣል።");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "ለማረጋገጥ ኃይልን ይጫኑ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ለመሰረዝ ማናቸውንም የድምፅ አዝራር ይጫኑ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ይቅር");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "በAndroid ጥበቃ የሚደረግለት ማረጋገጫ");

    /* Tests for language ar */
    ConfirmationUITranslations_select_lang_id("ar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "يتيح هذا التأكيد تفعيل طبقة أمان إضافية للإجراء الذي توشك على اتخاذه.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "تأكيد حماية Android");

    /* Tests for language ar-EG */
    ConfirmationUITranslations_select_lang_id("ar-EG");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "يتيح هذا التأكيد تفعيل طبقة أمان إضافية للإجراء الذي توشك على اتخاذه.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "تأكيد حماية Android");

    /* Tests for language ar-JO */
    ConfirmationUITranslations_select_lang_id("ar-JO");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "يتيح هذا التأكيد تفعيل طبقة أمان إضافية للإجراء الذي توشك على اتخاذه.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "تأكيد حماية Android");

    /* Tests for language ar-MA */
    ConfirmationUITranslations_select_lang_id("ar-MA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "يتيح هذا التأكيد تفعيل طبقة أمان إضافية للإجراء الذي توشك على اتخاذه.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "تأكيد حماية Android");

    /* Tests for language ar-SA */
    ConfirmationUITranslations_select_lang_id("ar-SA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "اضغط على زر التشغيل مرتين لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "يتيح هذا التأكيد تفعيل طبقة أمان إضافية للإجراء الذي توشك على اتخاذه.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "اضغط على زر التشغيل لتأكيد الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "إلغاء");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "تأكيد حماية Android");

    /* Tests for language ar-XB */
    ConfirmationUITranslations_select_lang_id("ar-XB");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "‏‮Double‬‏-‏‮press‬‏ ‏‮power‬‏ ‏‮to‬‏ ‏‮confirm‬‏");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "‏‮Cancel‬‏");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "‏‮This‬‏ ‏‮confirmation‬‏ ‏‮provides‬‏ ‏‮an‬‏ ‏‮extra‬‏ ‏‮layer‬‏ ‏‮of‬‏ ‏‮security‬‏ ‏‮for‬‏ ‏‮the‬‏ ‏‮action‬‏ ‏‮you‬‏'‏‮re‬‏ ‏‮about‬‏ ‏‮to‬‏ ‏‮take‬‏.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "‏‮Press‬‏ ‏‮power‬‏ ‏‮to‬‏ ‏‮confirm‬‏");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "‏‮Press‬‏ ‏‮any‬‏ ‏‮volume‬‏ ‏‮button‬‏ ‏‮to‬‏ ‏‮cancel‬‏");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "‏‮Cancel‬‏");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "‏‮Android‬‏ ‏‮Protected‬‏ ‏‮Confirmation‬‏");

    /* Tests for language as */
    ConfirmationUITranslations_select_lang_id("as");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "নিশ্চিত কৰিবলৈ পাৱাৰ বুটামটো দুবাৰ হেঁচক");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "বাতিল কৰক");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "এই প্ৰতিশ্ৰুতিয়ে আপুনি কৰিব বিচৰা কোনো কাৰ্যৰ বাবে অতিৰিক্ত সুৰক্ষা প্ৰদান কৰে।");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "নিশ্চিত কৰিবলৈ পাৱাৰ বুটাম হেঁচক");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "বাতিল কৰিবলৈ যিকোনো ভলিউম বুটাম হেঁচক");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "বাতিল কৰক");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Androidৰ সুৰক্ষা সম্পৰ্কীয় প্ৰতিশ্ৰুতি");

    /* Tests for language az */
    ConfirmationUITranslations_select_lang_id("az");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Təsdiqləmək üçün iki dəfə yandırıb-söndürmək düyməsinə basın");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Ləğv edin");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Bu təsdiq etmək üzrə olduğunuz əməliyyat üçün əlavə təhlükəsizlik qatı təmin edir.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Təsdiq etmək üçün yandırıb-söndürmə düyməsinə basın");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Ləğv etmək üçün istənilən səs düyməsinə basın");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Ləğv edin");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Qorunan Android Təsdiqi");

    /* Tests for language be */
    ConfirmationUITranslations_select_lang_id("be");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Двойчы націсніце кнопку сілкавання, каб пацвердзіць");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Скасаваць");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Гэта пацвярджэнне забяспечвае дадатковы ўзровень бяспекі для дзеянняў, якія вы збіраецеся выконваць.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Націсніце кнопку сілкавання, каб пацвердзіць");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Націсніце любую кнопку гучнасці, каб cкасаваць");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Скасаваць");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Пацвярджэнне Android Protected");

    /* Tests for language bg */
    ConfirmationUITranslations_select_lang_id("bg");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Натиснете два пъти бутона за захранване, за да потвърдите");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Отказ");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Това потвърждение осигурява допълнителна защита за действието, което сте напът да предприемете.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Натиснете бутона за захранване, за да потвърдите");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Натиснете някой от бутоните за силата на звука, за да анулирате");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Отказ");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Защитно потвърждение за Android");

    /* Tests for language bn */
    ConfirmationUITranslations_select_lang_id("bn");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "নিশ্চিত করতে পাওয়ার বোতাম দুবার টিপুন");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "বাতিল করুন");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "আপনি যে কাজটি করতে চলেছেন, এই কনফার্মেশনের ফলে সেটির জন্য অতিরিক্ত সুরক্ষার ব্যবস্থা করা হয়।");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "নিশ্চিত করতে পাওয়ার বোতাম টিপুন");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "বাতিল করতে ভলিউমের যেকোনও বোতাম টিপুন");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "বাতিল করুন");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android প্রোটেক্টেড কনফার্মেশন");

    /* Tests for language bs */
    ConfirmationUITranslations_select_lang_id("bs");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dva puta pritisnite dugme za napajanje da potvrdite");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Otkaži");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ova potvrda pruža dodatni sloj zaštite za radnju koju namjeravate preduzeti.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pritisnite dugme za napajanje za potvrdu");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pritisnite bilo koje dugme za podešavanje jačine zvuka da otkažete");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Otkaži");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Potvrda zaštite na Androidu");

    /* Tests for language ca */
    ConfirmationUITranslations_select_lang_id("ca");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Prem dos cops el botó d'engegada per confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel·la");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Aquesta confirmació proporciona una capa de seguretat addicional per a l'acció que estàs a punt de dur a terme.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Prem el botó d'engegada per confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Prem qualsevol botó de volum per cancel·lar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel·la");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmació de protecció d'Android");

    /* Tests for language cs */
    ConfirmationUITranslations_select_lang_id("cs");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Potvrďte dvojitým stisknutím vypínače");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Zrušit");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Toto potvrzení tvoří dodatečnou úroveň zabezpečení akce, kterou se chystáte podniknout.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Potvrďte stisknutím vypínače");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Zrušte stisknutím tlačítka hlasitosti");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Zrušit");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Potvrzení ochrany Androidu");

    /* Tests for language da */
    ConfirmationUITranslations_select_lang_id("da");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Tryk to gange på afbryderknappen for at bekræfte");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annuller");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Denne bekræftelse giver et ekstra beskyttelsesniveau for den handling, du er ved at foretage.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Tryk på afbryderknappen for at bekræfte");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Tryk på en af lydstyrkeknapperne for at annullere");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annuller");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Beskyttet bekræftelse i Android");

    /* Tests for language de */
    ConfirmationUITranslations_select_lang_id("de");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Durch die Bestätigung wird bei der Aktion, die du durchführen möchtest, eine zusätzliche Sicherheitsmaßnahme angewandt.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Bestätigung für Android Protected");

    /* Tests for language de-AT */
    ConfirmationUITranslations_select_lang_id("de-AT");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Durch die Bestätigung wird bei der Aktion, die du durchführen möchtest, eine zusätzliche Sicherheitsmaßnahme angewandt.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Bestätigung für Android Protected");

    /* Tests for language de-CH */
    ConfirmationUITranslations_select_lang_id("de-CH");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Durch die Bestätigung wird bei der Aktion, die du durchführen möchtest, eine zusätzliche Sicherheitsmassnahme angewandt.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Bestätigung für Android Protected");

    /* Tests for language el */
    ConfirmationUITranslations_select_lang_id("el");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Πατήστε δύο φορές το κουμπί λειτουργίας για επιβεβαίωση");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Ακύρωση");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Αυτή η επιβεβαίωση παρέχει ένα επιπλέον επίπεδο ασφάλειας για την ενέργεια που πρόκειται να εκτελέσετε.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Πατήστε το κουμπί λειτουργίας για επιβεβαίωση");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Πατήστε οποιοδήποτε κουμπί έντασης ήχου για ακύρωση");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Ακύρωση");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Επιβεβαίωση προστασίας Android");

    /* Tests for language en-AU */
    ConfirmationUITranslations_select_lang_id("en-AU");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-CA */
    ConfirmationUITranslations_select_lang_id("en-CA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-GB */
    ConfirmationUITranslations_select_lang_id("en-GB");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-IE */
    ConfirmationUITranslations_select_lang_id("en-IE");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-IN */
    ConfirmationUITranslations_select_lang_id("en-IN");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-NZ */
    ConfirmationUITranslations_select_lang_id("en-NZ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-SG */
    ConfirmationUITranslations_select_lang_id("en-SG");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language en-XA */
    ConfirmationUITranslations_select_lang_id("en-XA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "[Ðöûбļé-þŕéšš þöŵéŕ ţö çöñƒîŕm one two three four five six seven]");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "[Çåñçéļ one]");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "[Ţĥîš çöñƒîŕmåţîöñ þŕövîðéš åñ éxţŕå ļåýéŕ öƒ šéçûŕîţý ƒöŕ ţĥé åçţîöñ ýöû'ŕé åбöûţ ţö ţåķé. one two three four five six seven eight nine ten eleven twelve thirteen fourteen fifteen sixteen]");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "[Þŕéšš þöŵéŕ ţö çöñƒîŕm one two three four five]");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "[Þŕéšš åñý vöļûmé бûţţöñ ţö çåñçéļ one two three four five six seven]");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "[Çåñçéļ one]");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "[Åñðŕöîð Þŕöţéçţéð Çöñƒîŕmåţîöñ one two three four]");

    /* Tests for language en-XC */
    ConfirmationUITranslations_select_lang_id("en-XC");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‏‎‏‏‎‎‏‏‏‏‎‎‎‏‏‎‎‎‎‎‎‏‏‏‎‏‏‏‎‏‎‏‎‎‏‏‎‎‎‏‎‏‏‎‏‎‎‎‎‎‎‏‎‎‎‎‎‎‏‎‏‎‏‏‎Double-press power to confirm‎‏‎‎‏‎");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‏‎‏‏‏‎‎‎‏‏‏‎‏‏‎‏‏‎‏‎‏‏‎‏‏‎‏‏‎‎‎‎‎‏‏‎‏‏‏‎‎‎‏‏‏‏‏‎‎‎‎‏‎‎‎‎‏‏‎‎‎‏‏‏‎Cancel‎‏‎‎‏‎");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‎‏‎‏‏‎‎‎‎‎‏‎‏‎‏‏‎‎‎‏‎‏‎‎‏‏‏‏‎‎‎‏‎‏‏‎‎‎‎‏‏‏‎‏‏‎‏‎‏‎‏‏‎‏‎‎‎‎‎‎‏‎This confirmation provides an extra layer of security for the action you're about to take.‎‏‎‎‏‎");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‏‎‏‏‏‏‏‎‎‏‎‎‎‏‎‏‎‏‎‎‎‏‎‎‎‎‎‎‎‎‏‎‏‏‏‎‎‏‎‏‎‏‎‎‎‎‎‎‏‎‎‏‎‎‏‎‎‏‎‏‏‎‎‏‎Press power to confirm‎‏‎‎‏‎");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‏‎‏‏‏‏‏‎‏‎‏‏‏‎‎‏‏‎‎‎‏‎‏‏‏‏‏‎‎‎‎‏‏‏‎‏‏‏‏‎‎‎‏‎‎‎‎‏‏‏‏‏‏‏‏‏‏‎‎‏‏‎‏‏‎Press any volume button to cancel‎‏‎‎‏‎");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‏‏‎‏‏‎‏‏‏‏‎‎‎‎‎‎‎‎‏‎‏‏‎‏‎‏‏‏‏‎‏‎‎‏‏‏‎‎‏‏‎‎‏‏‏‏‏‎‎‏‎‏‎‎‏‎‏‏‏‏‏‏‏‎‏‎Cancel‎‏‎‎‏‎");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "‎‏‎‎‎‎‎‏‎‏‏‏‎‎‎‎‏‏‏‎‏‏‎‎‏‎‎‏‏‏‏‏‏‏‏‎‎‎‎‎‏‏‎‎‎‏‎‏‏‏‎‎‎‏‎‎‎‎‏‏‏‏‏‏‎‏‎‏‎‏‏‎‎‎‎‎‎‏‏‏‏‎‎‎‏‎‏‏‏‏‎‏‏‏‏‎‎Android Protected Confirmation‎‏‎‎‏‎");

    /* Tests for language en-ZA */
    ConfirmationUITranslations_select_lang_id("en-ZA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Double-press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "This confirmation provides an extra layer of security for the action that you're about to take.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Press power to confirm");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Press any volume button to cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancel");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language es */
    ConfirmationUITranslations_select_lang_id("es");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Pulsa dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona una capa de seguridad adicional a la acción que vas a realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pulsa el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pulsa cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación protegida por Android");

    /* Tests for language es-419 */
    ConfirmationUITranslations_select_lang_id("es-419");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-AR */
    ConfirmationUITranslations_select_lang_id("es-AR");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-BO */
    ConfirmationUITranslations_select_lang_id("es-BO");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-CL */
    ConfirmationUITranslations_select_lang_id("es-CL");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-CO */
    ConfirmationUITranslations_select_lang_id("es-CO");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-CR */
    ConfirmationUITranslations_select_lang_id("es-CR");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-DO */
    ConfirmationUITranslations_select_lang_id("es-DO");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-EC */
    ConfirmationUITranslations_select_lang_id("es-EC");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-GT */
    ConfirmationUITranslations_select_lang_id("es-GT");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-HN */
    ConfirmationUITranslations_select_lang_id("es-HN");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-MX */
    ConfirmationUITranslations_select_lang_id("es-MX");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-NI */
    ConfirmationUITranslations_select_lang_id("es-NI");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-PA */
    ConfirmationUITranslations_select_lang_id("es-PA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-PE */
    ConfirmationUITranslations_select_lang_id("es-PE");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-PR */
    ConfirmationUITranslations_select_lang_id("es-PR");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-PY */
    ConfirmationUITranslations_select_lang_id("es-PY");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-SV */
    ConfirmationUITranslations_select_lang_id("es-SV");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-US */
    ConfirmationUITranslations_select_lang_id("es-US");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-UY */
    ConfirmationUITranslations_select_lang_id("es-UY");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language es-VE */
    ConfirmationUITranslations_select_lang_id("es-VE");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Presiona dos veces el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona un nivel de seguridad adicional para la acción que estás por realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Presiona el botón de encendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Presiona cualquier botón de volumen para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmación de protección de Android");

    /* Tests for language et */
    ConfirmationUITranslations_select_lang_id("et");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Kinnitamiseks topeltvajutage toitenuppu");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Tühista");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "See kinnitus annab veel ühe turvakihi toimingu puhul, mille nüüd teete.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Kinnitamiseks vajutage toitenuppu");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Tühistamiseks vajutage mis tahes helitugevuse nuppu");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Tühista");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Androidi kaitstud kinnitus");

    /* Tests for language eu */
    ConfirmationUITranslations_select_lang_id("eu");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Berresteko, sakatu birritan pizteko botoia");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Utzi");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Berrespen honek segurtasun handiagoa ematen dizu hurrengo ekintza gauzatzeko.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Berresteko, sakatu etengailua");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Bertan behera uzteko, sakatu bolumen-tekla bat");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Utzi");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android-en Babes-berrespena");

    /* Tests for language fa */
    ConfirmationUITranslations_select_lang_id("fa");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "برای تأیید، دکمه روشن/خاموش را دوبار فشار دهید");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "لغو");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "این تأیید یک لایه امنیتی اضافی برای کنشی که می‌خواهید انجام دهید فراهم می‌کند.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "برای تأیید، دکمه روشن/خاموش را فشار دهید");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "برای لغو، یکی از دکمه‌های میزان صدا را فشار دهید");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "لغو");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "تأیید محافظت‌شده Android");

    /* Tests for language fi */
    ConfirmationUITranslations_select_lang_id("fi");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Vahvista painamalla virtapainiketta kahdesti");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Peruuta");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Tämä vahvistus tarkoittaa, että seuraava toimintosi on entistä paremmin suojattu.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Vahvista painamalla virtapainiketta");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Peruuta painamalla äänenvoimakkuuspainiketta");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Peruuta");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Vahvistus Android-suojauksesta");

    /* Tests for language fil */
    ConfirmationUITranslations_select_lang_id("fil");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Pindutin nang dalawang beses ang power para kumpirmahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Kanselahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ang pagkumpirmang ito ay nagbibigay ng karagdagang layer ng seguridad para sa pagkilos na gagawin mo.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pindutin ang power para kumpirmahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pindutin ang anumang button ng volume para kanselahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Kanselahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Pagkumpirmang Pinoprotektahan ng Android");

    /* Tests for language fr */
    ConfirmationUITranslations_select_lang_id("fr");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Cette confirmation ajoute un niveau de sécurité supplémentaire à l'action que vous êtes sur le point d'effectuer.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Appuyez sur le bouton Marche/Arrêt pour confirmer l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Appuyez sur l'un des boutons de volume pour annuler l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmation de protection Android");

    /* Tests for language fr-CA */
    ConfirmationUITranslations_select_lang_id("fr-CA");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Appuyez deux fois sur l'interrupteur pour confirmer");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Cette confirmation fournit une couche supplémentaire de sécurité pour l'action que vous êtes sur le point d'effectuer.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Appuyez sur l'interrupteur pour confirmer");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Appuyez sur un bouton de volume pour annuler l'action");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmation protégée Android");

    /* Tests for language fr-CH */
    ConfirmationUITranslations_select_lang_id("fr-CH");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Cette confirmation ajoute un niveau de sécurité supplémentaire à l'action que vous êtes sur le point d'effectuer.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Appuyez sur le bouton Marche/Arrêt pour confirmer l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Appuyez sur l'un des boutons de volume pour annuler l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmation de protection Android");

    /* Tests for language gl */
    ConfirmationUITranslations_select_lang_id("gl");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Preme o botón de acendido dúas veces para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmación proporciona unha capa adicional de seguranza para a acción que estás a piques de levar a cabo.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Preme o botón de acendido para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Preme calquera botón de volume para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language gsw */
    ConfirmationUITranslations_select_lang_id("gsw");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Durch die Bestätigung wird bei der Aktion, die du durchführen möchtest, eine zusätzliche Sicherheitsmaßnahme angewandt.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Drücke zum Bestätigen die Ein-/Aus-Taste");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Zum Abbrechen eine beliebige Lautstärketaste drücken");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Abbrechen");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Bestätigung für Android Protected");

    /* Tests for language gu */
    ConfirmationUITranslations_select_lang_id("gu");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "કન્ફર્મ કરવા માટે પાવર પર બે વાર ટૅપ કરો");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "રદ કરો");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "તમે જે ક્રિયા કરવાના છો તેના માટે આ કન્ફર્મેશન એક અતિરિક્ત સુરક્ષાનું સ્તર પ્રદાન કરે છે.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "કન્ફર્મ કરવા માટે પાવર બટન દબાવો");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "રદ કરવા માટે કોઈપણ વૉલ્યૂમનું બટન દબાવો");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "રદ કરો");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android પ્રોટેક્ટેડ કન્ફર્મેશન");

    /* Tests for language he */
    ConfirmationUITranslations_select_lang_id("he");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "יש ללחוץ פעמיים על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ביטול");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "אישור זה מספק שכבת אבטחה נוספת לפעולה שאתה עומד לבצע.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "יש ללחוץ על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "יש ללחוץ על לחצן כלשהו של עוצמת הקול כדי לבטל");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ביטול");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language hi */
    ConfirmationUITranslations_select_lang_id("hi");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "पुष्टि करने के लिए पावर बटन दो बार दबाएं");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "रद्द करें");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "यह पुष्टि मिलने पर आप जो काम करने वाले हैं, उसके लिए सुरक्षा और बढ़ जाती है.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "पुष्टि करने के लिए पावर बटन दबाएं");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "रद्द करने के लिए कोई भी वॉल्यूम बटन दबाएं");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "रद्द करें");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android की ओर से सुरक्षा की पुष्टि");

    /* Tests for language hr */
    ConfirmationUITranslations_select_lang_id("hr");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dvaput pritisnite tipku za uključivanje/isključivanje da biste potvrdili");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Otkaži");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ta potvrda pruža dodatan sloj zaštite za radnju koju ćete izvršiti.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pritisnite tipku za uključivanje/isključivanje da biste potvrdili");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pritisnite bilo koju tipku za glasnoću da biste otkazali");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Otkaži");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Potvrda zaštite na Androidu");

    /* Tests for language hu */
    ConfirmationUITranslations_select_lang_id("hu");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "A megerősítéshez nyomja meg duplán a bekapcsológombot");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Mégse");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ez a megerősítés extra réteg biztonságot nyújt a végrehajtani kívánt művelet számára.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Nyomja meg a bekapcsológombot a megerősítéshez");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Nyomja meg valamelyik hangerőgombot az elvetéshez");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Mégse");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android – védett megerősítés");

    /* Tests for language hy */
    ConfirmationUITranslations_select_lang_id("hy");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Հաստատելու համար կրկնակի սեղմեք սնուցման կոճակը");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Չեղարկել");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Այս հաստատումն ապահովում է պաշտպանության լրացուցիչ մակարդակ՝ նախքան գործողություն կատարելը");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Հաստատելու համար սեղմեք սնուցման կոճակը");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Չեղարկելու համար սեղմեք ձայնի կագավորման որևէ կոճակ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Չեղարկել");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected-ի հաստատում");

    /* Tests for language id */
    ConfirmationUITranslations_select_lang_id("id");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Tekan dua kali tombol power untuk mengonfirmasi");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Batal");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Konfirmasi ini memberikan lapisan keamanan tambahan untuk tindakan yang akan Anda ambil.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Tekan tombol power untuk mengonfirmasi");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Tekan tombol volume apa saja untuk membatalkan");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Batal");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Konfirmasi yang Dilindungi Android");

    /* Tests for language in */
    ConfirmationUITranslations_select_lang_id("in");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Tekan dua kali tombol power untuk mengonfirmasi");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Batal");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Konfirmasi ini memberikan lapisan keamanan tambahan untuk tindakan yang akan Anda ambil.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Tekan tombol power untuk mengonfirmasi");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Tekan tombol volume apa saja untuk membatalkan");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Batal");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Konfirmasi yang Dilindungi Android");

    /* Tests for language is */
    ConfirmationUITranslations_select_lang_id("is");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Ýttu tvisvar á aflrofann til að staðfesta");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Hætta við");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Þessi staðfesting veitir aukið öryggi fyrir aðgerðina sem þú ert að fara að framkvæma.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Ýttu á aflrofann til að staðfesta");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Ýttu á hvaða hljóðstyrkshnapp sem er til að hætta við");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Hætta við");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Varin staðfesting Android");

    /* Tests for language it */
    ConfirmationUITranslations_select_lang_id("it");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Premi due volte il tasto di accensione per confermare");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annulla");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Questa conferma garantisce un ulteriore livello di sicurezza per l'azione che stai per compiere.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Premi il tasto di accensione per confermare");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Premi qualsiasi pulsante del volume per annullare");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annulla");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Conferma Android Protected");

    /* Tests for language iw */
    ConfirmationUITranslations_select_lang_id("iw");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "יש ללחוץ פעמיים על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ביטול");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "אישור זה מספק שכבת אבטחה נוספת לפעולה שאתה עומד לבצע.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "יש ללחוץ על לחצן ההפעלה כדי לאשר");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "יש ללחוץ על לחצן כלשהו של עוצמת הקול כדי לבטל");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ביטול");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language ja */
    ConfirmationUITranslations_select_lang_id("ja");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "確認するには、電源を 2 回押します");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "キャンセル");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "この確認により、これから行う操作のセキュリティが強化されます。");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "確認するには、電源を押します");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "キャンセルするには、いずれかの音量ボタンを押します");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "キャンセル");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected の確認");

    /* Tests for language ka */
    ConfirmationUITranslations_select_lang_id("ka");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "დასადასტურებლად ორმაგად დააჭირეთ ჩართვის ღილაკს");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "გაუქმება");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "დადასტურება უსაფრთხოების დამატებით შრეს უზრუნველყოფს იმ ქმედების განსახორციელებლად, რომელსაც აპირებთ.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "დასადასტურებლად დააჭირეთ ჩართვის ღილაკს");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "გასაუქმებლად დააჭირეთ ხმის რეგულირების ნებისმიერ ღილაკს");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "გაუქმება");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android-ის დაცული დადასტურება");

    /* Tests for language kk */
    ConfirmationUITranslations_select_lang_id("kk");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Растау үшін қуат түймесін екі рет басыңыз");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Бас тарту");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Бұл растау функциясы орындағалы тұрған әрекеттің қауіпсіздігін қосымша күшейтеді.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Растау үшін қуат түймесін басыңыз");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Бас тарту үшін кез келген дыбыс деңгейі түймесін басыңыз");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Бас тарту");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android қорғалған растау");

    /* Tests for language km */
    ConfirmationUITranslations_select_lang_id("km");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "ចុច​ប៊ូតុង​ថាមពល​ពីរដង​ដើម្បី​បញ្ជាក់");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "បោះបង់");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ការបញ្ជាក់នេះ​ផ្ដល់ស្រទាប់​សុវត្ថិភាព​បន្ថែម​សម្រាប់​សកម្មភាព​ដែលអ្នកហៀប​នឹងធ្វើ។");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "ចុច​ប៊ូតុង​ថាមពល​ដើម្បី​បញ្ជាក់");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ចុចប៊ូតុង​កម្រិតសំឡេង​ណាមួយ​ដើម្បីបោះបង់");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "បោះបង់");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "ការ​បញ្ជាក់​ដែលបាន​ការពារ Android");

    /* Tests for language kn */
    ConfirmationUITranslations_select_lang_id("kn");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "ದೃಢೀಕರಿಸಲು ಪವರ್‌ ಬಟನ್‌ ಅನ್ನು ಎರಡು ಬಾರಿ ಒತ್ತಿರಿ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ರದ್ದು");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ಈ ದೃಢೀಕರಣವು ನೀವು ನಿರ್ವಹಿಸಲು ಬಯಸುವ ಕ್ರಿಯೆಗೆ ಹೆಚ್ಚುವರಿ ಸುರಕ್ಷತೆಯನ್ನು ಒದಗಿಸುತ್ತದೆ.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "ದೃಢೀಕರಿಸಲು ಪವರ್ ಬಟನ್ ಒತ್ತಿರಿ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ರದ್ದುಗೊಳಿಸಲು ಯಾವುದೇ ವಾಲ್ಯೂಮ್‌ ಬಟನ್ ಒತ್ತಿರಿ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ರದ್ದು");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android ಸಂರಕ್ಷಿತ ದೃಢೀಕರಣ");

    /* Tests for language ko */
    ConfirmationUITranslations_select_lang_id("ko");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "확인하려면 전원 버튼을 두 번 누르세요.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "취소");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "이 확인 단계를 사용하면 실행하려는 작업의 보안을 한층 강화할 수 있습니다.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "확인하려면 전원 버튼을 누르세요.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "취소하려면 볼륨 버튼 중 하나를 누르세요.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "취소");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android 보안 확인");

    /* Tests for language ky */
    ConfirmationUITranslations_select_lang_id("ky");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Ырастоо үчүн \"Кубат\" баскычын эки жолу басыңыз");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Жокко чыгаруу");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Бул ырастоо сиз аткара турган аракеттин коопсуздугун коргоонун дагы бир катмарын камсыздайт.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Ырастоо үчүн \"Кубат\" баскычын басыңыз");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Жокко чыгаруу үчүн үн көлөмүнүн баскычтарынын бирин басыңыз");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Жокко чыгаруу");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected ырастоосу");

    /* Tests for language ln */
    ConfirmationUITranslations_select_lang_id("ln");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Cette confirmation ajoute un niveau de sécurité supplémentaire à l'action que vous êtes sur le point d'effectuer.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Appuyez sur le bouton Marche/Arrêt pour confirmer l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Appuyez sur l'un des boutons de volume pour annuler l'opération");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annuler");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmation de protection Android");

    /* Tests for language lo */
    ConfirmationUITranslations_select_lang_id("lo");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "ກົດປຸ່ມປິດເປີດເຄື່ອງສອງຄັ້ງເພື່ອຢືນຢັນ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ຍົກເລີກ");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ການຢືນຢັນນີ້ຈະເພີ່ມຄວາມປອດໄພເພີ່ມເຕີມອີກໜຶ່ງຊັ້ນໃຫ້ກັບຄຳສັ່ງທີ່ທ່ານກຳລັງຈະໃຊ້.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "ກົດປຸ່ມເປີດປິດເພື່ອຢືນຢັນ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ກົດປຸ່ມສຽງຂຶ້ນ ຫຼື ລົງເພື່ອຍົກເລີກ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ຍົກເລີກ");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "ການຢືນຢັນ Android ທີ່ໄດ້ຮັບການປົກປ້ອງ");

    /* Tests for language lt */
    ConfirmationUITranslations_select_lang_id("lt");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dukart paspauskite maitinimo mygtuką, kad patvirtintumėte");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Atšaukti");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Naudojant šį patvirtinimą, veiksmui, kurį ketinate atlikti, taikomas papildomas saugos lygmuo.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Paspauskite maitinimo mygtuką, kad patvirtintumėte");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Paspauskite bet kurį garsumo mygtuką, kad atšauktumėte");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Atšaukti");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "„Android Protected“ patvirtinimas");

    /* Tests for language lv */
    ConfirmationUITranslations_select_lang_id("lv");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Lai apstiprinātu, divreiz nospiediet barošanas pogu");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Atcelt");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Šis apstiprinājums sniedz papildu aizsardzību darbībai, kuru veiksiet.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Lai apstiprinātu, nospiediet barošanas pogu");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Lai atceltu, nospiediet jebkuru skaļuma pogu");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Atcelt");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android aizsargātā informācija");

    /* Tests for language mk */
    ConfirmationUITranslations_select_lang_id("mk");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Притиснете на копчето за напојување двапати за да потврдите");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Откажи");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Оваа потврда обезбедува дополнителен слој на безбедност за дејството што ќе го преземете.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Притиснете на копчето за напојување за да потврдите");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Притиснете на кое било копче за јачина на звук за да откажете");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Откажи");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Потврда за заштита на Android");

    /* Tests for language ml */
    ConfirmationUITranslations_select_lang_id("ml");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "സ്ഥിരീകരിക്കാൻ പവർ രണ്ടുതവണ അമർത്തുക");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "റദ്ദാക്കുക");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "നിങ്ങൾ സ്വീകരിക്കാൻ പോകുന്ന നടപടിക്കായി, ഈ സ്ഥിരീകരണം ഒരു അധിക സുരക്ഷാ പാളി നൽകുന്നു.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "സ്ഥിരീകരിക്കാൻ പവർ അമർത്തുക");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "റദ്ദാക്കാൻ എതെങ്കിലും വോളിയം ബട്ടൺ അമർത്തുക");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "റദ്ദാക്കുക");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android സംരക്ഷിത സ്ഥിരീകരണം");

    /* Tests for language mn */
    ConfirmationUITranslations_select_lang_id("mn");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Баталгаажуулахын тулд унтраах/асаахыг хоёр удаа дарах");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Болих");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Энэ баталгаажуулалт нь таны авах гэж буй арга хэмжээнд хамгаалалтын нэмэлт давхаргыг олгодог.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Баталгаажуулахын тулд унтраах/асаахыг дарах");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Болихын тулд дууны түвшний товчлуурын аль нэгийг нь дарах");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Болих");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Андройдоор хамгаалсан баталгаажуулалт");

    /* Tests for language mo */
    ConfirmationUITranslations_select_lang_id("mo");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Apăsați de două ori butonul de pornire pentru a confirma");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Anulați");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Această confirmare oferă un nivel suplimentar de securitate pentru acțiunea pe care urmează să o faceți.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Apăsați butonul de pornire pentru a confirma");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Apăsați orice buton de volum pentru a anula");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Anulați");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmare protecție pentru Android");

    /* Tests for language mr */
    ConfirmationUITranslations_select_lang_id("mr");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "खात्री करण्‍यासाठी पॉवर बटण दोनदा दाबा");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "रद्द करा");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "हे निश्चित झाल्‍यावर, तुम्‍ही जे काम करणार आहात, त्‍यासाठी सुरक्षा आणखी वाढते.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "निश्चित करण्‍यासाठी पॉवर दाबा");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "रद्द करण्‍यासाठी कोणतेही व्‍हॉल्‍यूम बटण दाबा");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "रद्द करा");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android कडून सुरक्षा निश्चित करणे");

    /* Tests for language ms */
    ConfirmationUITranslations_select_lang_id("ms");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Tekan dua kali butang kuasa untuk mengesahkan");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Batal");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Pengesahan ini memberikan lapisan keselamatan tambahan untuk tindakan yang akan anda ambil.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Tekan kuasa untuk mengesahkan");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Tekan sebarang butang kelantangan untuk membatalkan tindakan");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Batal");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Pengesahan Dilindungi Android");

    /* Tests for language my */
    ConfirmationUITranslations_select_lang_id("my");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "အတည်ပြုရန် ပါဝါခလုတ်ကို နှစ်ချက်နှိပ်ပါ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "မလုပ်တော့");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ဤအတည်ပြုချက်က သင်ပြုလုပ်တော့မည့် လုပ်ဆောင်ချက်အတွက် အပိုဆောင်းလုံခြုံရေးကို ပေးထားသည်။");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "အတည်ပြုရန် ပါဝါခလုတ်နှိပ်ပါ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ပယ်ဖျက်ရန် အသံအတိုးအကျယ်ခလုတ် တစ်ခုခုကိုနှိပ်ပါ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "မလုပ်တော့");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android ကာကွယ်မှု အတည်ပြုချက်");

    /* Tests for language nb */
    ConfirmationUITranslations_select_lang_id("nb");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dobbelttrykk på av/på-knappen for å bekrefte");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Avbryt");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Denne bekreftelsen gir et ekstra sikkerhetslag for handlingen du er i ferd med å utføre.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Trykk på av/på-knappen for å bekrefte");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Trykk på en volumknapp for å avbryte");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Avbryt");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android-beskyttet bekreftelse");

    /* Tests for language ne */
    ConfirmationUITranslations_select_lang_id("ne");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "पुष्टि गर्न पावर बटनमा दुई पटक थिच्नुहोस्");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "रद्द गर्नुहोस्");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "यो पुष्टिले तपाईंले गर्न ऑंट्नुभएको कारबाहीका लागि सुरक्षाको अतिरिक्त तह प्रदान गर्छ।");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "पुष्टि गर्न पावर बटनमा थिच्नुहोस्");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "रद्द गर्नका लागि कुनै भोल्युम बटन थिच्नुहोस्");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "रद्द गर्नुहोस्");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android द्वारा संरक्षण गरिएको पुष्टि");

    /* Tests for language nl */
    ConfirmationUITranslations_select_lang_id("nl");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Druk twee keer op de aan/uit-knop om te bevestigen");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Annuleren");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Deze bevestiging biedt een extra beveiligingslaag voor de actie die je wilt uitvoeren.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Druk op de aan/uit-knop om te bevestigen");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Druk op een volumeknop om te annuleren");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Annuleren");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Bevestiging van Android-beveiliging");

    /* Tests for language no */
    ConfirmationUITranslations_select_lang_id("no");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dobbelttrykk på av/på-knappen for å bekrefte");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Avbryt");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Denne bekreftelsen gir et ekstra sikkerhetslag for handlingen du er i ferd med å utføre.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Trykk på av/på-knappen for å bekrefte");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Trykk på en volumknapp for å avbryte");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Avbryt");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android-beskyttet bekreftelse");

    /* Tests for language or */
    ConfirmationUITranslations_select_lang_id("or");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "ସୁନିଶ୍ଚିତ କରିବା ପାଇଁ ପାୱାର୍‍ ବଟନ୍‍କୁ ଦୁଇଥର ଦବାନ୍ତୁ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "କ୍ୟାନ୍ସଲ୍‍ କରନ୍ତୁ");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ଏହି ସୁନିଶ୍ଚିତତା, ଆପଣ କରିବାକୁ ଯାଉଥିବା କାର୍ଯ୍ୟ ପାଇଁ ଅତିରିକ୍ତ ସୁରକ୍ଷା ପରତ ପ୍ରଦାନ କରିଥାଏ।");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "ସୁନିଶ୍ଚିତ କରିବା ପାଇଁ ପାୱର୍‌ ବଟନ୍‌କୁ ଦାବନ୍ତୁ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "କ୍ୟାନ୍ସଲ୍ କରିବା ପାଇଁ ଯେକୌଣସି ଭଲ୍ୟୁମ୍ ବଟନ୍‌କୁ ଦାବନ୍ତୁ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "କ୍ୟାନ୍ସଲ୍‍ କରନ୍ତୁ");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android ଦ୍ୱାରା ସୁରକ୍ଷିତ ହୋଇଥିବାର ସୁନିଶ୍ଚିତତା");

    /* Tests for language pa */
    ConfirmationUITranslations_select_lang_id("pa");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "ਪੁਸ਼ਟੀ ਕਰਨ ਲਈ ਪਾਵਰ ਬਟਨ ਨੂੰ ਦੋ ਬਾਰ ਦੱਬੋ");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ਰੱਦ ਕਰੋ");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ਇਹ ਪੁਸ਼ਟੀਕਰਨ ਤੁਹਾਡੇ ਵੱਲੋਂ ਕਾਰਵਾਈ ਨੂੰ ਕੀਤੇ ਜਾਣ ਲਈ ਸੁਰੱਖਿਆ ਦੇ ਇੱਕ ਵਾਧੂ ਪੱਧਰ ਮੁਹੱਈਆ ਕਰਦੀ ਹੈ।");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "ਪੁਸ਼ਟੀ ਕਰਨ ਲਈ ਪਾਵਰ ਬਟਨ ਦਬਾਓ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ਰੱਦ ਕਰਨ ਲਈ ਕਿਸੇ ਵੀ ਵੌਲਿਊਮ ਬਟਨ ਨੂੰ ਦਬਾਓ");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ਰੱਦ ਕਰੋ");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android ਵੱਲੋਂ ਸੁਰੱਖਿਆ ਦੀ ਪੁਸ਼ਟੀ");

    /* Tests for language pl */
    ConfirmationUITranslations_select_lang_id("pl");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Kliknij dwukrotnie przycisk zasilania, by potwierdzić");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Anuluj");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "To potwierdzenie stanowi dodatkowe zabezpieczenie czynności, którą zamierzasz wykonać.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Naciśnij przycisk zasilania, aby potwierdzić");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Naciśnij dowolny przycisk głośności, aby anulować");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Anuluj");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Zabezpieczone potwierdzenie w Androidzie");

    /* Tests for language pt */
    ConfirmationUITranslations_select_lang_id("pt");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Pressione o botão liga/desliga duas vezes para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Essa confirmação oferece uma camada adicional de segurança para a ação que você está prestes a realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pressione o botão liga/desliga para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pressione um dos botões de volume para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmação protegida pelo Android");

    /* Tests for language pt-BR */
    ConfirmationUITranslations_select_lang_id("pt-BR");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Pressione o botão liga/desliga duas vezes para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Essa confirmação oferece uma camada adicional de segurança para a ação que você está prestes a realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pressione o botão liga/desliga para confirmar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pressione um dos botões de volume para cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmação protegida pelo Android");

    /* Tests for language pt-PT */
    ConfirmationUITranslations_select_lang_id("pt-PT");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Prima duas vezes ligar/desligar para confirmar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Esta confirmação oferece um nível extra de segurança para a ação que está prestes a realizar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Prima ligar/desligar para confirmar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Prima qualquer botão de volume para cancelar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Cancelar");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmação protegida do Android");

    /* Tests for language ro */
    ConfirmationUITranslations_select_lang_id("ro");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Apăsați de două ori butonul de pornire pentru a confirma");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Anulați");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Această confirmare oferă un nivel suplimentar de securitate pentru acțiunea pe care urmează să o faceți.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Apăsați butonul de pornire pentru a confirma");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Apăsați orice buton de volum pentru a anula");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Anulați");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Confirmare protecție pentru Android");

    /* Tests for language ru */
    ConfirmationUITranslations_select_lang_id("ru");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Для подтверждения дважды нажмите кнопку питания.");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Отмена");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Дополнительный уровень защиты для действия, которое вы собираетесь выполнить.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Для подтверждения нажмите кнопку питания.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Для отмены нажмите на любую кнопку регулировки громкости.");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Отмена");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Подтверждение Android Protected");

    /* Tests for language si */
    ConfirmationUITranslations_select_lang_id("si");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "තහවුරු කිරීමට බල බොත්තම දෙවරක් ඔබන්න");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "අවලංගු කරන්න");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "මෙම තහවුරු කිරිම ඔබ ගැනීමට යන ක්‍රියාමාර්ගය සඳහා ආරක්ෂාව පිළිබඳ අමතර ස්තරයක් සපයයි.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "තහවුරු කිරීමට බල බොත්තම ඔබන්න");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "අවලංගු කිරීමට ඕනෑම හඬ පරිමා බොත්තමක් ඔබන්න");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "අවලංගු කරන්න");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android ආරක්ෂිත තහවුරු කිරීම");

    /* Tests for language sk */
    ConfirmationUITranslations_select_lang_id("sk");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Potvrďte dvojitým stlačením vypínača");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Zrušiť");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Toto potvrdenie zaistí dodatočnú úroveň zabezpečenia akcie, ktorú sa chystáte vykonať.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Potvrďte stlačením vypínača");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Zrušte stlačením ľubovoľného tlačidla hlasitosti");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Zrušiť");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Chránené potvrdenie Androidu");

    /* Tests for language sl */
    ConfirmationUITranslations_select_lang_id("sl");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dvakrat pritisnite za potrditev");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Prekliči");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ta potrditev zagotavlja dodatno plast zaščite za dejanje, ki ga boste izvedli.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Za potrditev pritisnite gumb za vklop");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Za preklic pritisnite poljuben gumb za glasnost");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Prekliči");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Zaščitena potrditev v Androidu");

    /* Tests for language sq */
    ConfirmationUITranslations_select_lang_id("sq");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Shtyp dy herë butonin e energjisë për të konfirmuar");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Anulo");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Konfirmim ofron një shtresë sigurie shtesë për veprimin që je gati për të ndërmarrë.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Shtyp butonin e energjisë për të konfirmuar");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Shtyp çdo buton volumi për ta anuluar");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Anulo");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected Confirmation");

    /* Tests for language sr */
    ConfirmationUITranslations_select_lang_id("sr");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Двапут притисните дугме за напајање да бисте потврдили");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Откажи");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ова потврда пружа додатни слој безбедности за радњу коју се спремате да извршите.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Притисните дугме за напајање да бисте потврдили");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Притисните било које дугме за јачину звука да бисте отказали");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Откажи");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Потврда заштите на Android-у");

    /* Tests for language sr-Latn */
    ConfirmationUITranslations_select_lang_id("sr-Latn");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Dvaput pritisnite dugme za napajanje da biste potvrdili");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Otkaži");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ova potvrda pruža dodatni sloj bezbednosti za radnju koju se spremate da izvršite.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pritisnite dugme za napajanje da biste potvrdili");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pritisnite bilo koje dugme za jačinu zvuka da biste otkazali");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Otkaži");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Potvrda zaštite na Android-u");

    /* Tests for language sv */
    ConfirmationUITranslations_select_lang_id("sv");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Bekräfta genom att trycka två gånger på avstängningsknappen");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Avbryt");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Bekräftelsen ger extra skydd för åtgärden du ska vidta.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Bekräfta genom att trycka på strömbrytaren");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Avbryt genom att trycka på valfri volymknapp");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Avbryt");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Bekräftelseskydd för Android");

    /* Tests for language sw */
    ConfirmationUITranslations_select_lang_id("sw");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Bonyeza kitufe cha kuwasha mara mbili ili uthibitishe");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Ghairi");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Uthibitishaji huu hutoa ulinzi zaidi wa usalama kwa hatua unayotaka kuchukua.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Bonyeza kitufe cha kuwasha ili uthibitishe");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Bonyeza kitufe chochote cha sauti ili ughairi");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Ghairi");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Uthibitishaji Unaolindwa wa Android");

    /* Tests for language ta */
    ConfirmationUITranslations_select_lang_id("ta");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "உறுதிப்படுத்த, பவர் பட்டனை இருமுறை அழுத்தவும்");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ரத்துசெய்");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "நீங்கள் மேற்கொள்ளவிருக்கும் செயலுக்கு, கூடுதல் பாதுகாப்பை இந்த உறுதிப்படுத்தல் வழங்கும்.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "உறுதிப்படுத்த, பவரை அழுத்தவும்");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "ரத்துசெய்ய, ஏதேனும் ஒலியளவு பட்டனை அழுத்தவும்");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ரத்துசெய்");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android பாதுகாப்பு தொடர்பான உறுதிப்படுத்தல்");

    /* Tests for language te */
    ConfirmationUITranslations_select_lang_id("te");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "నిర్ధారించడానికి పవర్ బటన్‌ని రెండు సార్లు నొక్కండి");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "రద్దు చేయండి");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "ఈ నిర్ధారణ మీరు తీసుకోబోయే చర్య కోసం అదనపు భద్రతా లేయర్‌ను అందిస్తుంది.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "నిర్ధారించడానికి పవర్‌ను నొక్కండి");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "రద్దు చేయడానికి ఏదైనా వాల్యూమ్ బటన్‌ను నొక్కండి");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "రద్దు చేయండి");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android సురక్షిత నిర్ధారణ");

    /* Tests for language th */
    ConfirmationUITranslations_select_lang_id("th");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "กดปุ่มเปิด/ปิด 2 ครั้งเพื่อยืนยัน");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "ยกเลิก");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "การยืนยันนี้จะช่วยเพิ่มความปลอดภัยอีกขั้นสำหรับสิ่งที่คุณกำลังจะดำเนินการ");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "กดปุ่มเปิด/ปิดเพื่อยืนยัน");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "กดปุ่มปรับระดับเสียงเพื่อยกเลิก");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "ยกเลิก");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "ยืนยันการป้องกัน Android");

    /* Tests for language tl */
    ConfirmationUITranslations_select_lang_id("tl");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Pindutin nang dalawang beses ang power para kumpirmahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Kanselahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Ang pagkumpirmang ito ay nagbibigay ng karagdagang layer ng seguridad para sa pagkilos na gagawin mo.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Pindutin ang power para kumpirmahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Pindutin ang anumang button ng volume para kanselahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Kanselahin");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Pagkumpirmang Pinoprotektahan ng Android");

    /* Tests for language tr */
    ConfirmationUITranslations_select_lang_id("tr");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Onaylamak için güç düğmesine iki kez basın");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "İptal");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Bu onay, yapmak üzere olduğunuz işlem için ek güvenlik katmanı sağlar.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Onaylamak için güç düğmesine basın");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "İptal etmek için herhangi bir ses düğmesine basın");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "İptal");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Korumalı Onayı");

    /* Tests for language uk */
    ConfirmationUITranslations_select_lang_id("uk");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Двічі натисніть кнопку живлення, щоб підтвердити");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Скасувати");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Це підтвердження є додатковим рівнем захисту, коли ви збираєтеся виконати дію.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Натисніть кнопку живлення, щоб підтвердити");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Натисніть будь-яку клавішу гучності, щоб скасувати");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Скасувати");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Підтвердження Android Protected");

    /* Tests for language ur */
    ConfirmationUITranslations_select_lang_id("ur");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "تصدیق کرنے کے لئے پاور بٹن دوبار دبائیں");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "منسوخ کریں");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "آپ جو کارروائی کرنے والے ہیں اس کے لئے یہ تصدیق ایک اضافی پرت فراہم کرتی ہے۔");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "تصدیق کرنے کے لئے پاور بٹن دبائیں");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "منسوخ کرنے کے لئے کوئی بھی والیوم بٹن دبائیں");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "منسوخ کریں");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android کی تحفظ یافتہ تصدیق");

    /* Tests for language uz */
    ConfirmationUITranslations_select_lang_id("uz");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Tasdiqlash uchun quvvat tugmasini ikki marta bosing");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Bekor qilish");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Tasdiqlangandan keyin bajarilayotgan amal uchun qo‘shimcha xavfsizlik qatlami taqdim etiladi.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Tasdiqlash uchun quvvat tugmasini bosing");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Bekor qilish uchun istalgan tovush tugmasini bosing");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Bekor qilish");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android Protected nomli tasdiq");

    /* Tests for language vi */
    ConfirmationUITranslations_select_lang_id("vi");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Nhấn hai lần vào nút nguồn để xác nhận");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Hủy");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Xác nhận này cung cấp thêm một lớp bảo mật cho hành động bạn sắp thực hiện.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Nhấn vào nút nguồn để xác nhận");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Nhấn vào nút âm lượng bất kỳ để hủy");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Hủy");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Xác nhận bảo vệ Android");

    /* Tests for language zh */
    ConfirmationUITranslations_select_lang_id("zh");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "连按两次电源按钮即可确认");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "这项确认可为您即将执行的操作增添一层额外的安全保障。");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "按电源按钮即可确认");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "按任意音量按钮即可取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android 保护确认");

    /* Tests for language zh-CN */
    ConfirmationUITranslations_select_lang_id("zh-CN");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "连按两次电源按钮即可确认");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "这项确认可为您即将执行的操作增添一层额外的安全保障。");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "按电源按钮即可确认");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "按任意音量按钮即可取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android 保护确认");

    /* Tests for language zh-HK */
    ConfirmationUITranslations_select_lang_id("zh-HK");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "按兩下電源按鈕即可確認");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "此確認可為你即將執行的操作提供額外安全保障。");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "按下電源按鈕即可確認");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "按下任何音量按鈕即可取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android 保護確認");

    /* Tests for language zh-TW */
    ConfirmationUITranslations_select_lang_id("zh-TW");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "按兩下電源按鈕即可確認操作");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "這項確認作業可為你即將執行的動作提供多一層安全保障。");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "按下電源按鈕即可確認操作");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "按下任一音量按鈕即可取消操作");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "取消");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Android 保護確認");

    /* Tests for language zu */
    ConfirmationUITranslations_select_lang_id("zu");
    ASSERT_STR(ConfirmationUITranslations_lookup(1424834532030812203), "Cindezela kabili ukuze uqinisekise");
    ASSERT_STR(ConfirmationUITranslations_lookup(1796282799666106567), "Khansela");
    ASSERT_STR(ConfirmationUITranslations_lookup(217688588483778177), "Lokhu kuqinisekiswa kunikeza isendlalelo esingeziwe sokuvikelwa sesenzo osuzosithatha.");
    ASSERT_STR(ConfirmationUITranslations_lookup(2181224373757710937), "Cindezela amandla ukuze uqinisekise");
    ASSERT_STR(ConfirmationUITranslations_lookup(2213954494039981979), "Cindezela noma iyiphi inkinobho yevolumu ukuze ukhansele");
    ASSERT_STR(ConfirmationUITranslations_lookup(3999296476990449149), "Khansela");
    ASSERT_STR(ConfirmationUITranslations_lookup(6973195374358399966), "Ukuqinisekiswa okuvikelwe i-Android");

    /* Check language tag fallback mechanism works
       (chop off components until a match has been found) */
    const char* lang_ids[] = {
        "de",
        "da",
        "da-GL",
        "es-419",
        "es-AR",
        NULL
    };
    ASSERT_STR(test_lang_id_match(lang_ids, "de"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "de-DE"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "de-CH-1901"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "de-AT"), "de");
    ASSERT_STR(test_lang_id_match(lang_ids, "da-DK"), "da");
    ASSERT_STR(test_lang_id_match(lang_ids, "da-GL"), "da-GL");
    ASSERT_STR(test_lang_id_match(lang_ids, "zh"), "");
    ASSERT_STR(test_lang_id_match(lang_ids, "es-419"), "es-419");
    ASSERT_STR(test_lang_id_match(lang_ids, "es-AR"), "es-AR");
    ASSERT_STR(test_lang_id_match(lang_ids, "es"), "");

    printf("All unit tests passed.\n");
    return 0;
}
